#ifndef _FD_ITEM_
#define _FD_ITEM_

typedef struct Item Item;
typedef struct Items Items;

#include "game.h"
#include "room.h"

struct Item {
  char *name;
  char *indefinite;
  bool pickuppable;
  char *description;
  bool in_inventory;
  Room *location;
};

struct Items {
  Item items[200];
  int count;
};

void game_load_items(Game *g);
void log_items_in_room(Game *g, Room *r);

#endif
